/* INIlang.cmd - German language support to INIedit                          */
/* Created: 13.09.1998. - Goran Ivankovic                                    */

/* Load RexxUtil                                                             */
IF RxFuncQuery('SysLoadFuncs') THEN DO
	CALL RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
	CALL SysLoadFuncs
END

/* Some words about this procedure                                           */
CALL SysCls
SAY COPIES('*',79)
SAY '*'||CENTER(' German language support for INIedit v.0.70 ',77)||'*'
SAY COPIES('*',79)
SAY ''
SAY 'This procedure will do following:'
SAY '1. Check languages in your INIEDIT.INI file'
SAY '2. Add German language support.'
SAY ''
SAY 'To do this, following files must be in your INIedit directory:'
SAY '1. INIlang.cmd - program'
SAY '2. GERMAN.INI - German language file'
SAY '3. INIedit.htm - Help file (overwrite file distributed with inied070.zip!)'
SAY ''
SAY 'Press 'Y' (and Enter) to start program, any other key to exit...'

PULL answer

IF answer = "Y" THEN DO
	CALL SysCls
	CALL AddLang
END

RETURN /* End of main procedure */

Addlang: PROCEDURE

/* Check configuration - directory                                           */

/* Check for INIEDIT.INI                                                     */
languages = Sysini('INIEDIT.INI','Language','ALL:',installedlang.)
IF languages = 'ERROR:' THEN DO
	SAY 'Error - INIEDIT.INI not found.'
	SAY 'Copy INIEDIT.INI to this directory, and start this program again!'
	CALL TheEnd
END
SAY 'You have following language(s) for INIedit installed:'
DO i = 1 TO installedlang.0
	SAY i||'. '||installedlang.i 
END
SAY ''
SAY 'Adding German language support'
result = SysIni('INIEDIT.INI','Language','GERMAN','1')
IF result = 'ERROR:' THEN DO
	SAY 'Error writing INIEDIT.INI'
	SAY 'Fix problem INIedit, and start this program again!'
	CALL TheEnd
END
SAY 'Done!'

SAY ''
SAY 'And now, you have following language(s) for INIedit installed:'
languages = Sysini('INIEDIT.INI','Language','ALL:',installedlang.)
DO i = 1 TO installedlang.0
	SAY i||'. '||installedlang.i
END
SAY ''
SAY 'Finish. You can erase this file (INIlang.cmd).'
SAY 'You can start INIedit and use new language support.'
SAY ''
CALL TheEnd

RETURN /* End of AddLang procedure */

TheEnd: PROCEDURE

SAY 'Press any key to exit...'
PULL TheEnd
CALL SysCls
Exit

RETURN /* End of TheEnd procedure */
